Index: app_voicemail2.c
===================================================================
RCS file: /usr/cvsroot/asterisk/apps/app_voicemail2.c,v
retrieving revision 1.58
diff -u -r1.58 app_voicemail2.c
--- app_voicemail2.c	22 Oct 2003 03:12:17 -0000	1.58
+++ app_voicemail2.c	5 Nov 2003 21:58:33 -0000
@@ -1229,8 +1229,12 @@
 		} else
 			ast_log(LOG_WARNING, "No format for saving voicemail?\n");					
 		free_user(vmu);
-	} else
+	} else {
 		ast_log(LOG_WARNING, "No entry in voicemail config file for '%s'\n", ext);
+			/*Send the call to n+101 priority, where n is the current priority*/
+			if (ast_exists_extension(chan, chan->context, chan->exten, chan->priority + 101, chan->callerid))
+				chan->priority+=100;
+	}
 	/* Leave voicemail for someone */
 	manager_event(EVENT_FLAG_CALL, "MessageWaiting", "Mailbox: %s\r\nWaiting: %d\r\n", ext, ast_app_has_voicemail(ext));
 	return res;
